/[pupa]/pupa/configure
ViewVC logotype

Diff of /pupa/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.3 by okuji, Mon Jan 6 00:01:35 2003 UTC revision 1.4 by okuji, Fri Jan 31 03:26:56 2003 UTC
# Line 3358  tmp_CPPFLAGS="$CPPFLAGS" Line 3358  tmp_CPPFLAGS="$CPPFLAGS"
3358  CC="$BUILD_CC"  CC="$BUILD_CC"
3359  CFLAGS="$BUILD_CFLAGS"  CFLAGS="$BUILD_CFLAGS"
3360  CPPFLAGS="$BUILD_CPPFLAGS"  CPPFLAGS="$BUILD_CPPFLAGS"
3361    
3362    # Identify characteristics of the build architecture.
3363  echo "$as_me:$LINENO: checking whether byte ordering is bigendian" >&5  echo "$as_me:$LINENO: checking whether byte ordering is bigendian" >&5
3364  echo $ECHO_N "checking whether byte ordering is bigendian... $ECHO_C" >&6  echo $ECHO_N "checking whether byte ordering is bigendian... $ECHO_C" >&6
3365  if test "${ac_cv_c_bigendian+set}" = set; then  if test "${ac_cv_c_bigendian+set}" = set; then
# Line 4682  cat >>confdefs.h <<_ACEOF Line 4684  cat >>confdefs.h <<_ACEOF
4684  _ACEOF  _ACEOF
4685    
4686    
4687    
4688    # Check LZO.
4689    
4690    echo "$as_me:$LINENO: checking for __lzo_init2 in -llzo" >&5
4691    echo $ECHO_N "checking for __lzo_init2 in -llzo... $ECHO_C" >&6
4692    if test "${ac_cv_lib_lzo___lzo_init2+set}" = set; then
4693      echo $ECHO_N "(cached) $ECHO_C" >&6
4694    else
4695      ac_check_lib_save_LIBS=$LIBS
4696    LIBS="-llzo  $LIBS"
4697    cat >conftest.$ac_ext <<_ACEOF
4698    #line $LINENO "configure"
4699    #include "confdefs.h"
4700    
4701    /* Override any gcc2 internal prototype to avoid an error.  */
4702    #ifdef __cplusplus
4703    extern "C"
4704    #endif
4705    /* We use char because int might match the return type of a gcc2
4706       builtin and then its argument prototype would still apply.  */
4707    char __lzo_init2 ();
4708    #ifdef F77_DUMMY_MAIN
4709    #  ifdef __cplusplus
4710         extern "C"
4711    #  endif
4712       int F77_DUMMY_MAIN() { return 1; }
4713    #endif
4714    int
4715    main ()
4716    {
4717    __lzo_init2 ();
4718      ;
4719      return 0;
4720    }
4721    _ACEOF
4722    rm -f conftest.$ac_objext conftest$ac_exeext
4723    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4724      (eval $ac_link) 2>&5
4725      ac_status=$?
4726      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4727      (exit $ac_status); } &&
4728             { ac_try='test -s conftest$ac_exeext'
4729      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4730      (eval $ac_try) 2>&5
4731      ac_status=$?
4732      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4733      (exit $ac_status); }; }; then
4734      ac_cv_lib_lzo___lzo_init2=yes
4735    else
4736      echo "$as_me: failed program was:" >&5
4737    cat conftest.$ac_ext >&5
4738    ac_cv_lib_lzo___lzo_init2=no
4739    fi
4740    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
4741    LIBS=$ac_check_lib_save_LIBS
4742    fi
4743    echo "$as_me:$LINENO: result: $ac_cv_lib_lzo___lzo_init2" >&5
4744    echo "${ECHO_T}$ac_cv_lib_lzo___lzo_init2" >&6
4745    if test $ac_cv_lib_lzo___lzo_init2 = yes; then
4746      cat >>confdefs.h <<_ACEOF
4747    #define HAVE_LIBLZO 1
4748    _ACEOF
4749    
4750      LIBS="-llzo $LIBS"
4751    
4752    else
4753      { { echo "$as_me:$LINENO: error: LZO library version 1.02 or later is required" >&5
4754    echo "$as_me: error: LZO library version 1.02 or later is required" >&2;}
4755       { (exit 1); exit 1; }; }
4756    fi
4757    
4758    echo "$as_me:$LINENO: checking for lzo1x_999_compress" >&5
4759    echo $ECHO_N "checking for lzo1x_999_compress... $ECHO_C" >&6
4760    if test "${ac_cv_func_lzo1x_999_compress+set}" = set; then
4761      echo $ECHO_N "(cached) $ECHO_C" >&6
4762    else
4763      cat >conftest.$ac_ext <<_ACEOF
4764    #line $LINENO "configure"
4765    #include "confdefs.h"
4766    /* System header to define __stub macros and hopefully few prototypes,
4767        which can conflict with char lzo1x_999_compress (); below.  */
4768    #include <assert.h>
4769    /* Override any gcc2 internal prototype to avoid an error.  */
4770    #ifdef __cplusplus
4771    extern "C"
4772    #endif
4773    /* We use char because int might match the return type of a gcc2
4774       builtin and then its argument prototype would still apply.  */
4775    char lzo1x_999_compress ();
4776    char (*f) ();
4777    
4778    #ifdef F77_DUMMY_MAIN
4779    #  ifdef __cplusplus
4780         extern "C"
4781    #  endif
4782       int F77_DUMMY_MAIN() { return 1; }
4783    #endif
4784    int
4785    main ()
4786    {
4787    /* The GNU C library defines this for functions which it implements
4788        to always fail with ENOSYS.  Some functions are actually named
4789        something starting with __ and the normal name is an alias.  */
4790    #if defined (__stub_lzo1x_999_compress) || defined (__stub___lzo1x_999_compress)
4791    choke me
4792    #else
4793    f = lzo1x_999_compress;
4794    #endif
4795    
4796      ;
4797      return 0;
4798    }
4799    _ACEOF
4800    rm -f conftest.$ac_objext conftest$ac_exeext
4801    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4802      (eval $ac_link) 2>&5
4803      ac_status=$?
4804      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4805      (exit $ac_status); } &&
4806             { ac_try='test -s conftest$ac_exeext'
4807      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4808      (eval $ac_try) 2>&5
4809      ac_status=$?
4810      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4811      (exit $ac_status); }; }; then
4812      ac_cv_func_lzo1x_999_compress=yes
4813    else
4814      echo "$as_me: failed program was:" >&5
4815    cat conftest.$ac_ext >&5
4816    ac_cv_func_lzo1x_999_compress=no
4817    fi
4818    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
4819    fi
4820    echo "$as_me:$LINENO: result: $ac_cv_func_lzo1x_999_compress" >&5
4821    echo "${ECHO_T}$ac_cv_func_lzo1x_999_compress" >&6
4822    if test $ac_cv_func_lzo1x_999_compress = yes; then
4823      :
4824    else
4825      { { echo "$as_me:$LINENO: error: LZO1X-999 must be enabled" >&5
4826    echo "$as_me: error: LZO1X-999 must be enabled" >&2;}
4827       { (exit 1); exit 1; }; }
4828    fi
4829    
4830    
4831  CC="$tmp_CC"  CC="$tmp_CC"
4832  CFLAGS="$tmp_CFLAGS"  CFLAGS="$tmp_CFLAGS"
4833  CPPFLAGS="$tmp_CPPFLAGS"  CPPFLAGS="$tmp_CPPFLAGS"

Legend:
Removed from v.1.3  
changed lines
  Added in v.1.4

savannah-hackers-public@gnu.org
ViewVC Help
Powered by ViewVC 1.1.26